# Premiums Premiums ## Gets all of the premiums in the system. - [GET /premiums/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/listpremiums.md): This method will scan all premiums and and return them to the caller. ## Creates a new premium record that does not already exist. - [POST /premiums/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/createpremium.md): This method will auto-generate an ID and create a new premium. If an ID is specified for the premium, an error will be thrown. ## Execute Batch Operations - [POST /premiums/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a premium from the system by its ID. - [DELETE /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/deletepremium.md): This method will delete a premium with the specified ID. ## Returns a premium from the system by its ID. - [GET /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/getpremium.md): This method will look up a premium by the specified ID and return it back. ## Partially updates a premium with the specified ID. - [PATCH /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/patchpremium.md): This method will patch an existing premium with the specified ID, using the HTTP PATCH specification. ## Updates a premium with the specified ID. - [PUT /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/updatepremium.md): This method will update an existing premium with the specified ID.